## flatpak 1.15.1

=== meson_options.txt ===
# Copyright 2022 Collabora Ltd.
# SPDX-License-Identifier: LGPL-2.1-or-later

option(
  'auto_sideloading',
  type : 'boolean',
  description : 'enable systemd units which make Flatpak sideload from inserted USB drives',
  value : false,
)
option(
  'dconf',
  type : 'feature',
  description : 'Use dconf?',
  value : 'auto',
)
option(
  'dbus_config_dir',
  type : 'string',
  description : 'directory for D-Bus system configuration [$sysconfdir/dbus-1/system.d]',
  value : '',
)
option(
  'dbus_service_dir',
  type : 'string',
  description : 'directory for D-Bus session service files [$datadir/dbus-1/services]',
  value : '',
)
option(
  'docbook_docs',
  type : 'feature',
  description : 'build documentation with xmlto',
  value : 'auto',
)
option(
  'docdir',
  type : 'string',
  description : 'documentation directory [$datadir/doc/flatpak]',
  value : '',
)
option(
  'gdm_env_file',
  type : 'boolean',
  description : 'install gdm env.d file (not needed if systemd generators work',
  value : false,
)
option(
  'gir',
  type : 'feature',
  description : 'build GObject-Introspection metadata',
  value : 'auto',
)
option(
  'gtkdoc',
  type : 'feature',
  description : 'build API reference documentation with gtk-doc',
  value : 'auto',
)
option(
  'http_backend',
  type : 'combo',
  description : 'library used to implement HTTP',
  choices : ['curl', 'soup'],
  value : 'curl',
)
option(
  'installed_tests',
  type : 'boolean',
  description : 'install automated tests',
  value : false,
)
option(
  'internal_checks',
  type : 'boolean',
  description : 'enable internal checking',
  value : false,
)
option(
  'libzstd',
  type : 'feature',
  description : 'use libzstd?',
  value : 'auto',
)
option(
  'malcontent',
  type : 'feature',
  description : 'use libmalcontent for parental controls?',
  value : 'auto',
)
option(
  'man',
  type : 'feature',
  description : 'build man pages',
  value : 'auto',
)
option(
  'privileged_group',
  type : 'string',
  description : 'name of root-equivalent group',
  value : 'wheel',
)
option(
  'profile_dir',
  type : 'string',
  description : 'directory for profile.d files',
  value : '',
)
option(
  'run_media_dir',
  type : 'string',
  description : 'location of auto-mounted USB drives]',
  value : '/run/media',
)
option(
  'sandboxed_triggers',
  type : 'boolean',
  description : 'enable sandboxed triggers',
  value : true,
)
option(
  'seccomp',
  type : 'feature',
  description : 'enable seccomp',
  value : 'enabled',
)
option(
  'selinux_module',
  type : 'feature',
  description : 'enable selinux module for system-helper',
  value : 'auto',
)
option(
  'system_bubblewrap',
  type : 'string',
  description : 'system bwrap executable, or empty string to build subproject',
  value : '',
)
option(
  'system_dbus_proxy',
  type : 'string',
  description : 'system xdg-dbus-proxy executable, or empty string to build subproject',
  value : '',
)
option(
  'system_font_cache_dirs',
  type : 'array',
  description : 'directory where the system font cache is',
  value : ['/var/cache/fontconfig', '/usr/lib/fontconfig/cache'],
)
option(
  'system_fonts_dir',
  type : 'string',
  description : 'Directory where system fonts are',
  value : '/usr/share/fonts',
)
option(
  'system_helper',
  type : 'feature',
  description : 'enable system helper',
  value : 'enabled',
)
option(
  'system_helper_user',
  type : 'string',
  description : 'name of the system helper user',
  value : 'flatpak',
)
option(
  'system_install_dir',
  type : 'string',
  description : 'location of system installation [$localstatedir/lib/flatpak]',
  value : '',
)
option(
  'systemdsystemenvgendir',
  type : 'string',
  description : 'directory for systemd system environment generators',
  value : 'lib/systemd/system-environment-generators',
)
option(
  'systemd',
  type : 'feature',
  description : 'build with systemd support',
  value : 'auto',
)
option(
  'systemdsystemunitdir',
  type : 'string',
  description : 'directory for systemd system service files',
  # deliberately lib and not based on get_option('libdir'):
  # this should not be lib64 or lib/x86_64-linux-gnu
  value : 'lib/systemd/system',
)
option(
  'systemduserenvgendir',
  type : 'string',
  description : 'directory for systemd user environment generators',
  value : 'lib/systemd/user-environment-generators',
)
option(
  'systemduserunitdir',
  type : 'string',
  description : 'directory for systemd user service files',
  value : 'lib/systemd/user',
)
option(
  'sysusersdir',
  type : 'string',
  description : 'directory for systemd sysusers.d configuration files',
  value : 'lib/sysusers.d'
)
option(
  'tests',
  type : 'boolean',
  description : 'build tests',
  value : true,
)
option(
  'xauth',
  type : 'feature',
  description : 'enable Xauth use',
  value : 'enabled',
)
option(
  'xmlto_flags',
  type : 'array',
  description : 'options to pass to xmlto',
  value : [],
)

## flatpak 0.6.11

=== debian/changelog ===
flatpak (0.6.11-1ubuntu0.16.10.0) yakkety-security; urgency=medium

  * SECURITY UPDATE: bubblewrap escape via TIOCSTI ioctl (LP: #1657357)
    - Fixed in d/p/Use-seccomp-to-filter-out-TIOCSTI-ioctl.patch:
      Add patch from upstream 0.8.1 to prevent contained apps from using
      TIOCSTI ioctl. This would let the app inject commands into the
      terminal from which it was invoked. Prevent the attack here
      by using seccomp to filter out TIOCSTI ioctl.
    - CVE-2017-5226
  * SECURITY UPDATE: Prevent writing to per-user installed fonts and
    Flatpak extensions (typically locales)
    - Fixed in d/p/Make-sure-all-mounted-sources-are-read-only.patch:
      Add patch from upstream 0.8.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2017 06:00:41 -0500

flatpak (0.6.11-1) unstable; urgency=medium

  * New upstream release
    - install new man pages flatpak-flatpakrepo(5), flatpak-flatpakref(5)
  * Install Flatpak-1.0.typelib to multiarch path (Closes: #838308)
  * Make gir1.2-flatpak-1.0 Multi-arch: same
  * Make libflatpak-dev depend on gir1.2-flatpak-1.0 in accordance
    with the g-i mini-policy
  * Relicense debian/ under LGPL, with permission from David King
  * Register flatpak-docs.html in the Debian doc-base system

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Sep 2016 19:01:32 +0100

flatpak (0.6.10-1) unstable; urgency=medium

  * New upstream release
    - d/libflatpak0.symbols: update
    - Build-depend on ostree 2016.10
    - Bump bubblewrap (build-)dependencies to 0.1.2
    - Drop all patches except
      d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      all applied upstream
    - Demote libpam-systemd from Depends to Recommends. It is no longer
      mandatory to be running systemd --user, since flatpak 0.6.10
      identifies contained processes via their
      /proc/$pid/root/.flatpak-info instead of via cgroups
  * d/copyright: mention the Autoconf permissive license of acinclude.m4
  * Make libflatpak-dev Multi-Arch: same

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Sep 2016 08:28:19 +0100

flatpak (0.6.9-1) unstable; urgency=medium

  * New upstream release
    - d/control: libgsystem is no longer required
    - d/copyright: update for new libglnx
    - drop most patches, applied upstream
  * Drop unused build-dependency on docbook-xsl-doc-html.
    It is documentation about docbook-xsl, so isn't needed at build-time.
  * Expand build-dependencies to what we would use if no tests are skipped.
    In practice buildds disallow some of what the tests do, but we shouldn't
    rely on that.
  * d/patches: cherry-pick various post-release bug fixes from upstream
  * Build-depend on attr, and make flatpak-tests depend on it, for better
    test coverage if /var/tmp supports xattrs
  * Build-depend on fuse, so we can run fusermount if supported
  * Make flatpak-tests depend on ostree instead of using d/tests/control
  * d/p/make-test-runtime-cope-with-Debian-s-Python-2.7-configura.patch,
    add patch to make more build-time tests pass
  * d/p/Tell-build-time-tests-which-bwrap-we-are-going-to-use.patch:
    skip tests that cannot be run because we are in an environment where
    bwrap fails
  * d/p/test_install_launch_uninstall-consistently-check-for-GErr.patch:
    add patch to improve diagnostics on some test failures
  * d/p/document-portal-cope-with-multiple-events-that-would-caus.patch:
    in the document portal, don't crash if there is more than one reason
    to exit
  * Remove unused lintian overrides
  * Add lintian override for flatpak-system-helper.service.
    It is deliberately missing an [Install] section (so enabling it for
    eager startup is not possible), because it is intended to be
    started via D-Bus activation.
  * d/p/Terminate-gpg-agent-after-using-it-for-tests.patch:
    add patch to terminate gpg-agent processes after use
  * Terminate any further stray gpg-agent processes when running tests

 -- Simon McVittie <smcv@debian.org>  Wed, 07 Sep 2016 22:42:09 +0100

flatpak (0.6.8-1) unstable; urgency=medium

  * New upstream release
    - d/copyright: source files are now licensed as LGPL-2.1+
    - d/flatpak.install: install systemd snippet to configure dbus.service
      with flatpak in XDG_DATA_DIRS
    - d/control, d/rules: build-depend on xmlto and enable all documentation
    - d/flatpak.install: install documentation for the command-line tools,
      and i18n
    - d/p/dist/Add-flatpak-metadata.xml-from-upstream-git.patch:
      Add missing flatpak-metadata.xml from upstream git, which was not
      included in the released tarball
  * d/p/unrpm-prevent-shell-injection.patch: Avoid shell injection
    when building a Flatpak from an RPM
  * d/p/Wait-for-locks-in-TEST_DATA_DIR-to-be-released-before-del.patch:
    Drop patch, it does not appear to make testing pass on ci.debian.net
    as I had hoped
  * d/tests: mark test-extensions.sh to only be run in virtual machines,
    in the hope that when ci.debian.net gets a qemu runner, it will
    work there

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Aug 2016 15:19:41 +0100

flatpak (0.6.7-2) unstable; urgency=medium

  * d/p/libtest-replace-dbus-launch-with-dbus-daemon.patch:
    Add patch to stop using dbus-launch in the tests
  * d/p/Wait-for-locks-in-TEST_DATA_DIR-to-be-released-before-del.patch:
    Add patch to avoid a race condition during testing between the
    container's "init" process shutting down, and libtest.sh proceeding
    with cleanup in response to the container's main process (which
    exits first) shutting down

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Jul 2016 09:12:38 +0100

flatpak (0.6.7-1) unstable; urgency=medium

  * New upstream release
    - drop all patches except d/p/debian/*, applied upstream
    - d/libflatpak0.symbols: update for new ABIs
    - d/control: depend and build-depend on OSTree 2016.6
    - d/tests/control: flatpak-builder test now needs git
  * Depend on system bubblewrap (Closes: #824647)


=== debian/control ===
Source: flatpak
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 attr,
 bubblewrap (>= 0.1.2),
 ca-certificates,
 dbus,
 debhelper (>= 9),
 desktop-file-utils,
 dh-autoreconf,
 dh-exec,
 dh-systemd,
 docbook-xml,
 docbook-xsl,
 fuse,
 git,
 gnome-desktop-testing,
 gobject-introspection,
 gtk-doc-tools,
 gtk-update-icon-cache | libgtk-3-bin,
 hicolor-icon-theme,
 libarchive-dev (>= 2.8.0),
 libattr1-dev,
 libcap-dev,
 libdw-dev,
 libelf-dev,
 libfuse-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libjson-glib-dev,
 libostree-dev (>= 2016.10),
 libpolkit-gobject-1-dev,
 libseccomp-dev,
 libsoup2.4-dev,
 libxau-dev,
 libxml2-utils,
 ostree,
 procps,
 shared-mime-info,
 xmlto,
 xsltproc,
Standards-Version: 3.9.8
Homepage: http://flatpak.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/flatpak.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flatpak.git

Package: flatpak
Architecture: linux-any
Depends:
 bubblewrap (>= 0.1.2),
 fuse,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 desktop-file-utils,
 hicolor-icon-theme,
 gtk-update-icon-cache | libgtk-3-bin,
 libpam-systemd,
 shared-mime-info,
Conflicts:
 xdg-app,
Replaces:
 xdg-app,
Description: Application deployment framework for desktop apps
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 Application bundles run partially isolated from the wider system, using
 containerization techniques such as namespaces to prevent direct access
 to system resources. Resources from outside the sandbox can be accessed
 via "portal" services, which are responsible for access control; for
 example, the Documents portal displays an "Open" dialog outside the
 sandbox, then allows the application to access only the selected file.
 .
 Each application uses a specified "runtime", or set of libraries, which is
 available as /usr inside its sandbox. This can be used to run application
 bundles with multiple, potentially incompatible sets of dependencies within
 the same desktop environment.
 .
 This package contains the services and executables needed to install and
 launch sandboxed applications, and the portal services needed to provide
 limited access to resources outside the sandbox.

Package: flatpak-builder
Architecture: linux-any
Section: devel
Depends:
 flatpak (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 binutils,
 bzr,
 elfutils,
 git,
 patch,
 unzip,
Description: Flatpak application building helper
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 flatpak-builder is a tool that makes it easy to build applications and their
 dependencies by automating the configure && make && make install steps.

Package: flatpak-tests
Architecture: linux-any
Section: misc
Depends:
 attr,
 ca-certificates,
 desktop-file-utils,
 flatpak (= ${binary:Version}),
 hicolor-icon-theme,
 gtk-update-icon-cache | libgtk-3-bin,
 ostree,
 shared-mime-info,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Application deployment framework for desktop apps (tests)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains automated tests.

Package: gir1.2-flatpak-1.0
Architecture: linux-any
Multi-Arch: same
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: Application deployment framework for desktop apps (introspection)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libflatpak0.

Package: libflatpak-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 gir1.2-flatpak-1.0 (= ${binary:Version}),
 libflatpak0 (= ${binary:Version}),
 libglib2.0-dev,
 libostree-dev (>= 2016.6),
 pkg-config,
 ${misc:Depends},
Description: Application deployment framework for desktop apps (development)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains development headers and pkg-config metadata
 for libflatpak0.

Package: libflatpak-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Multi-Arch: foreign
Description: Application deployment framework for desktop apps (documentation)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains reference documentation for libflatpak0.

Package: libflatpak0
Architecture: linux-any
Section: libs
Depends:
 bubblewrap (>= 0.1.2),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-arch: same
Description: Application deployment framework for desktop apps (library)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains the flatpak shared library, used by higher level
 package management tools like gnome-software.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with=autoreconf,gir,systemd

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--enable-docbook-docs \
		--enable-gtk-doc \
		--enable-installed-tests \
		--libexecdir=/usr/lib/flatpak \
		--with-priv-mode=none \
		--with-html-dir=/usr/share/doc/libflatpak-doc \
		--with-privileged-group=sudo \
		--with-system-bubblewrap=bwrap \
		--with-systemdsystemunitdir=/lib/systemd/system \
		$(NULL)

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	dh_install --fail-missing

override_dh_auto_test:
	debian/test.sh

=== debian/tests/control ===
Tests: build
Depends:
 build-essential,
 libflatpak-dev,

Tests: builder
Depends:
 flatpak-builder,
 flatpak-tests,
 git,
 gnome-desktop-testing,
 make,

Tests: gnome-desktop-testing
Depends:
 flatpak-tests,
 gnome-desktop-testing,

Tests: extensions
Restrictions: isolation-machine
Depends:
 flatpak-tests,
 gnome-desktop-testing,

=== debian/watch ===
version=4
https://github.com/flatpak/flatpak/releases .*/flatpak-(\d\S*)\.tar\.xz

## flatpak 0.8.2

=== debian/changelog ===
flatpak (0.8.2-1~ubuntu16.10.1) yakkety; urgency=medium

  * Backport to Ubuntu 16.10 (LP: #1656712)
  * Drop all patches, applied in new version
  * Keep dh compat 9 (including explicit dh-autoreconf and dh-systemd) for
    easier backporting to Ubuntu 16.04 LTS
  * Also allow libgtk-3-bin to satisfy the gtk-update-icon-cache dependency

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Feb 2017 07:07:12 -0500

flatpak (0.8.2-1) unstable; urgency=medium

  * New upstream bugfix release
    - drop remaining patch, applied upstream
    - security fix: prevent writing to per-user-installed fonts
      and Flatpak extensions (typically locales)
  * d/control: flatpak-tests Recommends python, which is needed for
    one test (silencing a lintian warning)

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Jan 2017 21:56:51 +0000

flatpak (0.8.1-1) unstable; urgency=medium

  * New upstream release, very similar to 0.8.0-2
    - drop all patches
  * d/p/flatpak-system-helper-remove-dangling-reference-to-EXTERN.patch:
    do not search /export/share, which seems to have been unintended

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Jan 2017 14:55:24 +0000

flatpak (0.8.0-2) unstable; urgency=medium

  * d/p/Use-seccomp-to-filter-out-TIOCSTI-ioctl.patch:
    Add patch from upstream to prevent contained apps from using
    TIOCSTI ioctl. This would let the app inject commands into the
    terminal from which it was invoked (CVE-2017-5226). This was
    initially fixed in bubblewrap by calling setsid(), but that
    breaks the ability to use Ctrl+Z or Ctrl+C on a flatpak-confined
    process, so it is being made optional; prevent the attack here
    instead, in a way that doesn't break shells.
  * d/p/Fix-update-of-standalone-bundle.patch:
    Add patch from upstream to fix updating an existing app with
    "flatpak install --bundle foo.flatpak"
  * d/p/Make-sure-var-tmp-is-not-on-tmpfs.patch:
    Add patch from upstream to mount ~/.var/APP/cache/tmp at /var/tmp
    inside the sandbox, so apps can rely on /var/tmp being on disk
  * d/p/Document-the-DefaultBranch-key.patch,
    d/p/Document-RuntimeRepo-key.patch:
    Add patches from upstream to fill in some missing documentation
  * d/p/testlibrary-ensure-that-contents_array-is-NULL-terminated.patch,
    d/p/tests-Install-testpython.py-executable.patch,
    d/p/tests-Move-the-test-repo-to-a-subdirectory-repos-test.patch:
    Fix some bugs in the tests
  * debian/tests/: split out builder-python into a separate autopkgtest,
    it too has more dependencies

 -- Simon McVittie <smcv@debian.org>  Wed, 18 Jan 2017 00:02:19 +0000

flatpak (0.8.0-1) unstable; urgency=medium

  * New upstream stable release
    - Bump bubblewrap dependencies to 0.1.5 following configure.ac
    - Bump ostree dependency to 2016.15 following upstream release notes
      (the minimal dependency is 2016.14, but 2016.15 is recommended)
    - debian/libflatpak0.symbols: add new ABIs
    - d/p/pull-Exit-early-on-error-without-aborting-transaction.patch:
      drop patch, applied upstream
  * debian/gbp.conf: switch upstream branch to debian/0.8.x to follow
    the first upstream stable-branch
  * debian/watch: only follow stable-branches
  * debian/org.freedesktop.Flatpak.pkla: configure polkit 0.105 to
    allow sudoers to uninstall apps and runtimes without re-authenticating,
    following upstream changes to the org.freedesktop.Flatpak.rules used in
    newer polkit versions
  * d/p/Update-Polish-translation.patch: update translated strings from
    upstream git
  * d/p/flatpak-builder-1-fix-typo.patch: fix a typo in the man page

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Dec 2016 14:13:52 +0000

flatpak (0.6.14-3) unstable; urgency=medium

  * d/tests/*: only run tests on a real or virtual machine, not in a
    container. bubblewrap is effectively already a container, and
    nesting containers doesn't work particularly well.
    Unfortunately this means the tests won't work on ci.debian.net,
    which uses LXC.

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Dec 2016 12:42:45 +0000

flatpak (0.6.14-2) unstable; urgency=medium

  * d/p/pull-Exit-early-on-error-without-aborting-transaction.patch:
    Add patch recommended by upstream to fix a GNOME Software crash

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Nov 2016 17:53:34 +0000

flatpak (0.6.14-1) unstable; urgency=medium

  * New upstream release
    - update ostree build-dependency to 2016.14

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Nov 2016 12:51:43 +0000

flatpak (0.6.13-1) unstable; urgency=medium

  * New upstream release
    - update symbols file
    - update ostree build-dependency to 2016.12

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Oct 2016 19:10:48 +0100

flatpak (0.6.12-1) unstable; urgency=medium

  * This release drops source compatibility with Debian jessie. If
    you are building unofficial backports for older Debian derivatives,
    please base them on the debian/jessie-backports git branch instead of
    debian/master from now on.

  * d/control: rely on gtk-update-icon-theme, removing libgtk-3-bin
    alternative.
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      drop patch, this branch can now rely on having the plain
      gtk-update-icon-theme executable
  * Bump debhelper compatibility level to 10
    - do not explicitly build in parallel, it is now the default
    - do not explicitly enable autoreconf and systemd sequences, they
      are now the default
  * New upstream release
    - d/libflatpak0.symbols: update

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Oct 2016 22:41:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  attr,
- bubblewrap (>= 0.1.2),
+ bubblewrap (>= 0.1.5),
  ca-certificates,
  dbus,
  debhelper (>= 9),
@@ -34,7 +34,7 @@
  libgirepository1.0-dev,
  libglib2.0-dev,
  libjson-glib-dev,
- libostree-dev (>= 2016.10),
+ libostree-dev (>= 2016.15),
  libpolkit-gobject-1-dev,
  libseccomp-dev,
  libsoup2.4-dev,
@@ -53,7 +53,7 @@
 Package: flatpak
 Architecture: linux-any
 Depends:
- bubblewrap (>= 0.1.2),
+ bubblewrap (>= 0.1.5),
  fuse,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -115,11 +115,13 @@
  desktop-file-utils,
  flatpak (= ${binary:Version}),
  hicolor-icon-theme,
- gtk-update-icon-cache | libgtk-3-bin,
+ gtk-update-icon-cache | libgtk-3-bin, 
  ostree,
  shared-mime-info,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ python,
 Description: Application deployment framework for desktop apps (tests)
  Flatpak installs, manages and runs sandboxed desktop application bundles.
  See the flatpak package for a more comprehensive description.
@@ -148,7 +150,7 @@
  gir1.2-flatpak-1.0 (= ${binary:Version}),
  libflatpak0 (= ${binary:Version}),
  libglib2.0-dev,
- libostree-dev (>= 2016.6),
+ libostree-dev (>= 2016.15),
  pkg-config,
  ${misc:Depends},
 Description: Application deployment framework for desktop apps (development)
@@ -176,7 +178,7 @@
 Architecture: linux-any
 Section: libs
 Depends:
- bubblewrap (>= 0.1.2),
+ bubblewrap (>= 0.1.5),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:

## flatpak 0.8.5

=== debian/changelog ===
flatpak (0.8.5-1) unstable; urgency=medium

  * New upstream bugfix release
  * Upstream security fixes:
    - dbus-proxy: Fix a use-after-free (no specific exploit is known)
      and several memory leaks
    - system-helper: Correct the check that was meant to prevent
      unprivileged users from downgrading system-wide-installed apps
    - Do not allow downgrading apps to validly-signed older versions
      unless a specific older version is requested, so that a
      man-in-the-middle cannot cause a downgrade to an older app
      version with a vulnerability
  * Other upstream fixes:
    - Increase GLib build-dependency to 2.44 (in practice this was
      already required, there is a patch in jessie-backports to
      relax this)
    - Collect system extension references from all system directories,
      not just the first that exists (upstream issue 654)
    - Stop using ostree trivial-httpd, which is not available in
      post-stretch ostree (upstream issues 658, 723)
    - Be build-time compatible with post-stretch ostree (upstream
      issue 756)
    - Strip ?query suffix before detecting whether a URI points to a
      .flatpakref or .flatpakrepo file (upstream issue 659)
    - Fix a typo in help output
  * d/tests/control: most tests now require python, for the
    ostree-trivial-httpd replacement

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Apr 2017 16:35:44 +0100

flatpak (0.8.4-3) unstable; urgency=medium

  * Mark the one remaining patch as applied in 0.9.1
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Mar 2017 18:43:51 +0000

flatpak (0.8.4-2) experimental; urgency=medium

  * Explicitly build-depend on automake. Otherwise, the aspcud resolver
    used in experimental sometimes chooses automake1.11 as the best
    solution to dh-autoreconf's dependency on automake | automaken,
    causing FTBFS.
    - Set the dependency to 1.14.1 since flatpak is known to build
      successfully with that version in jessie-backports, whereas older
      versions are not known to work.

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Mar 2017 13:59:18 +0000

flatpak (0.8.4-1) experimental; urgency=medium

  * New upstream bugfix release
    - Don't add flatpak directories to XDG_DATA_DIRS if already present
    - Do add flatpak directories to XDG_DATA_DIRS if it already has
      a non-default value
    - Improve progress estimates and reporting for UI frontends
    - Fill in many missing options in man pages
    - Support extensions that apply to multiple versions, particularly
      useful for OpenGL drivers
    - Support extensions that do not depend on any specific runtime,
      particularly useful for proprietary OpenGL drivers packaged with
      a static binary helper
    - Various fixes for error checking and crashes
    - Make flatpak_get_system_installations() return an array that owns
      (takes responsibility for freeing) its contents. This is
      technically an ABI break, but it makes this function consistent
      with others that have a similar signature, and nothing in Debian
      uses it yet.
    - Disable spliced reads in the FUSE file system, which don't appear
      to work
    - Make FamilyWild xauth tokens available in the sandbox, not
      just FamilyLocal
    - Fix a misleading message on systems without systemd --user:
      it now disables an optional feature without breaking sandboxing
  * Add patch simplifying profile.d snippet
  * Initially upload to experimental since this is relatively large
    for a stable-branch release

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Mar 2017 13:00:05 +0000

flatpak (0.8.3-1) unstable; urgency=medium

  * New upstream bugfix release
    - fixes portals' ability to identify confined apps
      (Closes: #855129)
    - better support for third-party (proprietary) OpenGL drivers
    - better handling of errors for extra-data
    - handle extra-data properly for runtimes (as well as apps)
    - respect required version for runtimes (as well as apps)
    - flatpak list: Don't break if some local ref is not deployed
    - builder: Look for appstream data in /app/share/metadata also
    - builder: Fix buildsystem=cmake builds
    - Add progress reporting to extra-data download
    - Fix uid/gid for directories in document portal
  * Duplicate the profile.d snippet in /etc/X11/Xsession.d so it
    applies to X11 sessions, not just login shells. This matches the
    upstream intention: X11 sessions have traditionally run in a login
    shell on Red Hat derivatives, but not in Debian derivatives.
    (Closes: #846338)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Feb 2017 14:14:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: flatpak
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  attr,
+ automake (>= 1.14.1),
  bubblewrap (>= 0.1.5),
  ca-certificates,
  dbus,
- debhelper (>= 9),
+ debhelper (>= 10~),
  desktop-file-utils,
- dh-autoreconf,
  dh-exec,
- dh-systemd,
  docbook-xml,
  docbook-xsl,
  fuse,
@@ -23,7 +21,7 @@
  gnome-desktop-testing,
  gobject-introspection,
  gtk-doc-tools,
- gtk-update-icon-cache | libgtk-3-bin,
+ gtk-update-icon-cache,
  hicolor-icon-theme,
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
@@ -32,7 +30,7 @@
  libelf-dev,
  libfuse-dev,
  libgirepository1.0-dev,
- libglib2.0-dev,
+ libglib2.0-dev (>= 2.44),
  libjson-glib-dev,
  libostree-dev (>= 2016.15),
  libpolkit-gobject-1-dev,
@@ -60,7 +58,7 @@
 Recommends:
  desktop-file-utils,
  hicolor-icon-theme,
- gtk-update-icon-cache | libgtk-3-bin,
+ gtk-update-icon-cache,
  libpam-systemd,
  shared-mime-info,
 Conflicts:
@@ -115,7 +113,7 @@
  desktop-file-utils,
  flatpak (= ${binary:Version}),
  hicolor-icon-theme,
- gtk-update-icon-cache | libgtk-3-bin, 
+ gtk-update-icon-cache,
  ostree,
  shared-mime-info,
  ${misc:Depends},

## flatpak 0.8.7

=== debian/changelog ===
flatpak (0.8.7-5) unstable; urgency=medium

  * d/p/tests-Isolate-tests-from-real-home-directory-more-thoroug.patch:
    Mark as upstreamed for 0.9.8, and move to d/p/0.9.8/ directory
  * d/p/Improve-test-diagnostics.patch: Add patch to improve test
    diagnostics (see #870312)
  * Standards-Version: 4.0.1 (no changes required)
  * d/p/testlibrary-Skip-tests-that-need-extended-attributes-if-n.patch:
    Add patch to skip tests that need extended attributes if /var/tmp
    does not support them (Closes: #870312)

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Aug 2017 11:33:05 +0100

flatpak (0.8.7-4) unstable; urgency=medium

  * d/rules, d/autogen.sh: Run gtkdocize as well as autoreconf
    (similar to upstream's autogen.sh but much simpler), replacing
    gtk-doc.make at build time with the one in Debian's gtk-doc-tools

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Jul 2017 23:12:52 +0100

flatpak (0.8.7-3) unstable; urgency=medium

  * d/patches/: Add patch backported from 0.9.4, and new patch sent
    upstream to PR #894, to avoid using the real home directory in tests
  * d/control: Add libglib2.0-doc, libostree-doc to Build-Depends-Indep
    so that libflatpak-doc can cross-reference those documentation
    packages
  * debian/test.sh: Do not ignore build-time tests' exit status
  * d/rules: Do not run build-time tests with DEB_BUILD_OPTIONS=nocheck
  * d/control: Do not build-depend on gnome-desktop-testing. It is only
    used for the installed-tests.
  * d/control: Annotate test-only build-dependencies with <!nocheck>
  * Standards-Version: 4.0.0
    - Use https URL for format of debian/copyright

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Jul 2017 11:59:37 +0100

flatpak (0.8.7-2) unstable; urgency=medium

  * Move upstreamed patch to debian/patches/0.9.1/ to make it obvious
    when it can be dropped
  * d/p/0.8.8/: add patches backported from upstream 0.9.4, 0.9.6,
    together with a new patch to the tests, to restore compatibility
    with libostree 2017.7 (all applied upstream already)

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Jun 2017 11:55:18 +0100

flatpak (0.8.7-1) unstable; urgency=high

  * New upstream stable release
    - Security: prevent deploying files with inappropriate permissions
      (world-writable, setuid, etc.) (Closes: #865413)
    - Security: make ~/.local/share/flatpak private to user to defend
      against app vendors that might have released files with
      inappropriate permissions in the past
    - If an error occurs during pull, do not double-set an error,
      which is considered to be invalid
    - Increase some arbitrary timeouts in a test to make it more
      reliable

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Jun 2017 09:50:09 +0100

flatpak (0.8.6-1) unstable; urgency=medium

  * New upstream release
    - Fix the return value type for filtered NameHasOwner() D-Bus calls
      (upstream issue 817)
    - Security hardening: Only export .desktop files, D-Bus session
      services and icons, but not other files that an app might try to
      export
    - Allow remote repositories to specify a new GPG key (for key rollover)
      or a new URL (for location migration) in their signed metadata
    - Let KDE apps bind-mount ~/.config/kdeglobals into the sandbox:
      + Allow bind-mounting regular files in the XDG cache, config or data
        directories, not just directories
      + Allow bind-mounting files in the XDG directories read-only, not
        just read/write
    - Close a race condition in app identification by portals
    - Cope with a non-default WAYLAND_DISPLAY
    - Cope with /tmp on the host being a symlink
    - Clear TMPDIR in the sandbox, fixing sandboxed Spotify
    - Add X-Flatpak=$app_id to exported .desktop files
      so that the desktop environment can identify what will be launched
    - Make the host's /etc/hosts and /etc/host.conf available in the sandbox,
      fixing sandboxed Spotify
    - Update Hungarian translation

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Jun 2017 21:30:06 +0100

flatpak (0.8.5-2) unstable; urgency=medium

  * flatpak Recommends xdg-desktop-portal-gtk | xdg-desktop-portal-backend,
    so that sandboxed apps can communicate with the outside world
    (Closes: #861068)

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Apr 2017 12:59:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,22 @@
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- attr,
+ attr <!nocheck>,
  automake (>= 1.14.1),
  bubblewrap (>= 0.1.5),
- ca-certificates,
+ ca-certificates <!nocheck>,
  dbus,
  debhelper (>= 10~),
- desktop-file-utils,
+ desktop-file-utils <!nocheck>,
  dh-exec,
  docbook-xml,
  docbook-xsl,
- fuse,
- git,
- gnome-desktop-testing,
+ fuse <!nocheck>,
+ git <!nocheck>,
  gobject-introspection,
  gtk-doc-tools,
- gtk-update-icon-cache,
- hicolor-icon-theme,
+ gtk-update-icon-cache <!nocheck>,
+ hicolor-icon-theme <!nocheck>,
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
  libcap-dev,
@@ -38,12 +37,15 @@
  libsoup2.4-dev,
  libxau-dev,
  libxml2-utils,
- ostree,
+ ostree <!nocheck>,
  procps,
- shared-mime-info,
+ shared-mime-info <!nocheck>,
  xmlto,
  xsltproc,
-Standards-Version: 3.9.8
+Build-Depends-Indep:
+ libglib2.0-doc,
+ libostree-doc,
+Standards-Version: 4.0.1
 Homepage: http://flatpak.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/flatpak.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flatpak.git
@@ -61,6 +63,7 @@
  gtk-update-icon-cache,
  libpam-systemd,
  shared-mime-info,
+ xdg-desktop-portal-gtk | xdg-desktop-portal-backend,
 Conflicts:
  xdg-app,
 Replaces:

## flatpak 0.8.9

=== debian/changelog ===
flatpak (0.8.9-0+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache
    - d/p/backport/*.patch, d/control: Relax GLib dependency to 2.42

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Jan 2018 18:33:27 +0000

flatpak (0.8.9-0+deb9u1) stretch; urgency=medium

  * New upstream release backporting the following fixes from 0.10.x:
    - common/flatpak-run.c: Ignore unrecognised permission strings
      instead of failing, for forwards compatibility
    - dbus-proxy/flatpak-proxy.c: Fix a D-Bus filtering bypass in
      flatpak-dbus-proxy (Closes: #888842)
    - profile/flatpak.sh.in: Simplify and improve profile.d snippet
      (already done in Debian since 0.8.4-1, no practical effect)
  * Drop our patch to profile/flatpak.sh.in, no longer necessary
  * debian/control: Update Vcs-* metadata for salsa.d.o migration

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jan 2018 14:49:40 +0000

flatpak (0.8.8-0+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache
    - d/p/backport/*.patch, d/control: Relax GLib dependency to 2.42

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Jan 2018 18:25:52 +0000

flatpak (0.8.8-0+deb9u1) stretch; urgency=medium

  * d/watch: Watch for new 0.8.x versions
  * New upstream release from 0.8.x branch, backporting the following
    fixes from 0.10.x:
    - Add compatibility with ostree ≥ 2017.7 (in Debian, the same
      changes were already in 0.8.7-2)
    - Security: Do not allow legacy eavesdropping on the D-Bus
      session bus (Closes: #880451)
    - Ensure that LD_LIBRARY_PATH is in the correct order, respecting
      extensions' priorities
    - Ensure that extensions are mounted in the correct order even if
      they have differing priorities, fixing Steam
    - Remove PYTHONPATH, PERLLIB, PERL5LIB, XCURSOR_PATH from the
      environment given to sandboxed apps
    - Give each app a persistent cache directory for fontconfig
    - Make /usr/share/icons available in the sandbox so that sandboxed
      apps can use the host's icon theme
    - Disable debug-level FUSE logging for the document portal
    - Make the * wildcard at the end of a D-Bus filtering rule match
      zero or more components, so --talk="com.example.Foo.*" behaves
      the same as D-Bus' arg0namespace="com.example.Foo". Previously,
      it would only match exactly one component. This matches a proposed
      design for integrating equivalent filtering into future dbus
      versions.
  * d/p/0.8.8/: Drop patches that added compatibility with
    ostree ≥ 2017.7, no longer necessary

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Oct 2017 18:51:01 +0000

flatpak (0.8.7-2~deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache
    - d/p/backport/*.patch, d/control: Relax GLib dependency to 2.42

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Dec 2017 10:36:18 +0000

flatpak (0.8.7-2~deb9u1) stretch; urgency=medium

  * Rebuild for stretch
  * Merge changelog from stretch-security
  * debian/gbp.conf: Switch branch to debian/stretch

 -- Simon McVittie <smcv@debian.org>  Mon, 31 Jul 2017 08:44:53 +0100

flatpak (0.8.5-2+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache
    - d/p/backport/*.patch, d/control: Relax GLib dependency to 2.42

 -- Simon McVittie <smcv@debian.org>  Fri, 30 Jun 2017 07:49:40 +0100

flatpak (0.8.5-2+deb9u1) stretch-security; urgency=high

  * d/p/Ensure-we-don-t-install-world-writable-dirs-or-setuid-fil.patch:
    Patch from upstream stable release 0.8.7.
    Prevent deploying files with inappropriate permissions
    (world-writable, setuid, etc.) (Closes: #865413)
  * d/p/dir-Ensure-.local-share-flatpak-is-0700.patch:
    Patch from upstream stable release 0.8.7.
    Make ~/.local/share/flatpak private to user to defend against app
    vendors that might have released files with inappropriate permissions
    in the past

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Jun 2017 12:05:49 +0100

flatpak (0.8.5-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache
    - d/p/backport/*.patch, d/control: Relax GLib dependency to 2.42

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Apr 2017 10:30:34 +0100

flatpak (0.8.3-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache


=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- attr <!nocheck>,
+ attr,
  automake (>= 1.14.1),
  bubblewrap (>= 0.1.5),
- ca-certificates <!nocheck>,
+ ca-certificates,
  dbus,
  debhelper (>= 10~),
- desktop-file-utils <!nocheck>,
+ desktop-file-utils,
  dh-exec,
  docbook-xml,
  docbook-xsl,
- fuse <!nocheck>,
- git <!nocheck>,
+ fuse,
+ git,
+ gnome-desktop-testing,
  gobject-introspection,
  gtk-doc-tools,
- gtk-update-icon-cache <!nocheck>,
- hicolor-icon-theme <!nocheck>,
+ hicolor-icon-theme,
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
  libcap-dev,
@@ -29,7 +29,8 @@
  libelf-dev,
  libfuse-dev,
  libgirepository1.0-dev,
- libglib2.0-dev (>= 2.44),
+ libglib2.0-dev (>= 2.40),
+ libgtk-3-bin,
  libjson-glib-dev,
  libostree-dev (>= 2016.15),
  libpolkit-gobject-1-dev,
@@ -37,18 +38,15 @@
  libsoup2.4-dev,
  libxau-dev,
  libxml2-utils,
- ostree <!nocheck>,
+ ostree,
  procps,
- shared-mime-info <!nocheck>,
+ shared-mime-info,
  xmlto,
  xsltproc,
-Build-Depends-Indep:
- libglib2.0-doc,
- libostree-doc,
-Standards-Version: 4.0.1
+Standards-Version: 3.9.8
 Homepage: http://flatpak.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/flatpak.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flatpak.git
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git
+Vcs-Browser: https://salsa.debian.org/debian/flatpak
 
 Package: flatpak
 Architecture: linux-any
@@ -60,7 +58,7 @@
 Recommends:
  desktop-file-utils,
  hicolor-icon-theme,
- gtk-update-icon-cache,
+ libgtk-3-bin,
  libpam-systemd,
  shared-mime-info,
  xdg-desktop-portal-gtk | xdg-desktop-portal-backend,
@@ -116,7 +114,7 @@
  desktop-file-utils,
  flatpak (= ${binary:Version}),
  hicolor-icon-theme,
- gtk-update-icon-cache,
+ libgtk-3-bin,
  ostree,
  shared-mime-info,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with=autoreconf,gir,systemd
+	dh $@ --with=gir
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -24,6 +24,9 @@
 		$(NULL)
 
 override_dh_install:
+	install -d debian/tmp/etc/X11/Xsession.d
+	install -m644 debian/tmp/etc/profile.d/flatpak.sh \
+		debian/tmp/etc/X11/Xsession.d/20flatpak
 	rm -f debian/tmp/usr/lib/*/*.la
 	dh_install --fail-missing

=== debian/tests/control ===
Tests: build
Depends:
 build-essential,
 libflatpak-dev,

Tests: builder builder-python
Restrictions: isolation-machine
Depends:
 flatpak-builder,
 flatpak-tests,
 git,
 gnome-desktop-testing,
 make,
 python,

Tests: gnome-desktop-testing
Restrictions: isolation-machine
Depends:
 flatpak-tests,
 gnome-desktop-testing,
 python,

=== debian/watch ===
version=4
https://github.com/@PACKAGE@/@PACKAGE@/releases .*/@PACKAGE@-(0\.8\.\S*)@ARCHIVE_EXT@
